import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
// 管理员
import adminLogin from '@common/src/store/adminLogin';
// 菜单
import menu from '@common/src/store/menu';
// 邀请码
import inviteCode from '@common/src/store/inviteCode';
// 个人
import personal from '@common/src/store/personal';
// 机构
import organization from '@common/src/store/organization';
// 专家
import expert from '@common/src/store/expert';
// 产品
import product from '@common/src/store/product';
// 展会
import dock from '@common/src/store/dock/dock';
// 培训问诊
import trainLive from '@common/src/store/trainLive';
// 交易备案
import dockTranscation from '@common/src/store/dock/dockTranscation';
// 科技频道
import channel from '@common/src/store/channel';
// 技术新闻
import column from '@common/src/store/column';
import news from '@common/src/store/news';
import universal from '@common/src/store/universal';
import viewPoint from '@common/src/store/viewPoint';
// 项目路演
import roadShow from '@common/src/store/roadShow';
// 嘉宾访谈
import interview from '@common/src/store/interview';
// 通知管理
import notice from '@common/src/store/notice';
// 科技新闻
import science from '@common/src/store/science';
// e专利
import patent from '@common/src/store/patent';
// 调研调查
import question from '@common/src/store/question';
import projectsolic from '@common/src/store/projectsolic';
// 字典表
import category from '@common/src/store/category';
import code from '@common/src/store/code';
import place from '@common/src/store/place';
// 任务
import mission from '@common/src/store/mission';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    adminLogin,
    menu,
    inviteCode,
    personal,
    organization,
    expert,
    product,
    dock,
    trainLive,
    channel,
    column,
    news,
    universal,
    viewPoint,
    roadShow,
    interview,
    dockTranscation,
    notice,
    science,
    patent,
    question,
    projectsolic,
    category,
    code,
    place,
    mission,
  },
});
